# -*- coding: utf-8 -*-
##############################################################################
#
#    wms module for OpenERP, WMS Extended for Open ERP
#    Copyright (C) 2010 SYLEAM (<http://syleam.fr/>)
#              Christophe Chauvet <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms
#
#    wms is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class StockMoveRemark(osv.osv):
    _name = 'stock.move.remark'
    _description = 'Remark for the stock move'

    _columns = {
        'name': fields.char('Name', size=128, translate=True, required=True),
        'code': fields.char('Code', size=16),
    }

    _defaults = {
        'name': lambda *a: False,
        'code': lambda *a: False,
    }

StockMoveRemark()


class StockMove(osv.osv):
    _inherit = 'stock.move'

    _columns = {
        'comment': fields.char('Comment', size=128, help='Enter comment, only if not present in remark list'),
        'remark_id': fields.many2one('stock.move.remark', 'Remark', help='Enter the remark for this product'),
    }

    _defaults = {
        'comment': lambda *a: False,
        'remark_id': lambda *a: False,
    }

StockMove()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
