# -*- coding: utf-8 -*-
##############################################################################
#
#    wms_location module for OpenERP, Location management
#    Copyright (C) 2010 SYLEAM (<http://syleam.fr/>)
#              Christophe Chauvet <christophe.chauvet@syleam.fr>
#
#    This file is a part of wms_location
#
#    wms_location is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    wms_location is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv
from osv import fields

class StockLocation(osv.osv):
    """
    Add new fields on stock location
    """
    _inherit = 'stock.location'

    _columns = {
        'code': fields.char('Code', size=32, help='Enter the complete code for this location, usefull for search'),
        'warehouse_id': fields.many2one('stock.warehouse', 'Warehouse'),
        'width': fields.float('Width', help='Enter the width in cm'),
        'height': fields.float('Height', help='Enter the height in cm'),
        'depth': fields.float('depth', help='Enter the depth in cm'),
        'transcend_width': fields.boolean('Transcend Width', help='Autorize the width to be transcend'),
        'transcend_height': fields.boolean('Transcend Height', help='Autorize the height to be transcend'),
        'transcend_depth': fields.boolean('Transcend Depth', help='Autorize the depth to be transcend'),
    }

    _defaults = {
        'code': lambda *a: False,
        'width': lambda *a: 0.0,
        'height': lambda *a: 0.0,
        'transcend_width': lambda *a: False,
        'transcend_height': lambda *a: False,
        'transcend_depth': lambda *a: False,
    }

StockLocation()

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
